Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.container
Class ComponentDefinitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.osgi.service.blueprint.container.ComponentDefinitionException

All Implemented Interfaces:
  Serializable

    public class ComponentDefinitionException

extends RuntimeException

A Blueprint exception indicating that a component definition is in error. This exception is thrown when a configuration-related error occurs during creation of a Blueprint Container.

Version:
  $Revision: 7556 $
See Also:
  Serialized Form

Constructor Summary
`ComponentDefinitionException()` Creates a Component Definition Exception with no message or exception cause.
`ComponentDefinitionException(String explanation)` Creates a Component Definition Exception with the specified message
`ComponentDefinitionException(String explanation, Throwable cause)` Creates a Component Definition Exception with the specified message and exception cause.
`ComponentDefinitionException(Throwable cause)` Creates a Component Definition Exception with the exception cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentDefinitionException

    public ComponentDefinitionException()

  Creates a Component Definition Exception with no message or exception cause.

### ComponentDefinitionException

    public ComponentDefinitionException(String explanation)

  Creates a Component Definition Exception with the specified message

  Parameters:
    `explanation` - The associated message.

### ComponentDefinitionException

    public ComponentDefinitionException(String explanation,
                                        Throwable cause)

  Creates a Component Definition Exception with the specified message and exception cause.

  Parameters:
    `explanation` - The associated message.
    `cause` - The cause of this exception.

### ComponentDefinitionException

    public ComponentDefinitionException(Throwable cause)

  Creates a Component Definition Exception with the exception cause.

  Parameters:
    `cause` - The cause of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.